summaryrefslogtreecommitdiffstats
path: root/ci/daily.sh
diff options
context:
space:
mode:
authormbeierl <mark.beierl@dell.com>2017-08-28 10:09:57 -0400
committermbeierl <mark.beierl@dell.com>2017-08-28 10:10:55 -0400
commit71aa00561577cafb28a7f2ae4809d36b0c2b5d55 (patch)
treec790e14350eaae0ea8adf8f680b06e41dd81097c /ci/daily.sh
parentf3b6df9f7eff64eb0efecc7a1b421bc23cef747a (diff)
Fixup Daily
Allows daily to terminate on error Change-Id: I31efdf3adcf6f2c09e02c21c4d10a5894d0ad6b7 Signed-off-by: mbeierl <mark.beierl@dell.com>
Diffstat (limited to 'ci/daily.sh')
-rwxr-xr-xci/daily.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/ci/daily.sh b/ci/daily.sh
index b984824..8af8562 100755
--- a/ci/daily.sh
+++ b/ci/daily.sh
@@ -1,4 +1,4 @@
-#!/bin/bash -x
+#!/bin/bash -xe
##############################################################################
# Copyright (c) 2015 EMC and others.
#
@@ -14,6 +14,12 @@ then
WORKSPACE=`pwd`
fi
+docker-compose --version
+if [ $? -ne 0 ]
+then
+ echo "Docker compose is missing"
+ exit 1
+fi
git clone --depth 1 https://gerrit.opnfv.org/gerrit/releng $WORKSPACE/ci/job/releng